/* Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Full-page layout */
html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden; /* Prevent scrolling */
  font-family: Arial, sans-serif;
  background-color: #F9F6EE;

}

a.forward {text-align: right;display: block;}

.forwardbutton {font-size: 14px;margin-right: 1.5rem;padding: 4px 6px}

img {pointer-events: none;}


h1 {  font-family: "Annie Use Your Telescope", sans-serif;
  font-weight: 400;
  font-style: normal;
font-size: 18px;color: black;
margin: 0;
padding: 0;
letter-spacing: 2px;

}

.extrablad {
  max-width: 250px;
}

/* Main container */
.page {
  height: 100dvh; /* Dynamic viewport height for mobile */
  display: grid;
  grid-template-rows: auto 1fr auto;
}

/* Header */
header {
  height: 80px;
  color: black;
  text-align: center;
  font-size: 22px;
  padding-top: 2rem;

}

/* Hero section */
.hero {
  position: relative;
  overflow: hidden;

  display: flex;
  align-items: center;
  justify-content: center;
}

/* Hero image */
.hero img {
  max-width: 500px;
  height: auto;
  object-fit: cover; /* Fills area without distortion */
  display: block;
}

.hero p {
  display: block;
  position: absolute;
  top: 75%;
  font-family: "Annie Use Your Telescope", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;color: black;
  margin: 0;
  padding: 0;
  letter-spacing: 2px;
}

.hero a {
  display: block;
  position: absolute;
  top: 85%;
}

.hero button {
 
  padding: 6px 8px;
  margin: 0 4px;
  font-size: 14px;
  font-family: 'Noto Sans JP', sans-serif;
  font-weight: 400;
  border-radius: 12px;
  color: white;
  background-color: #f41786;

  transition: background-color 0.3s ease;;
}

.hero button:hover {
 
  background-color: black;
  color: white;
}



.farbe {
  color: #f41786;
}


/* Footer */
footer {
  height: 70px;
  background-color: rgba(200, 200, 200, 0.1);
  border-top: 1px solid rgba(200, 200, 200, 0.2);;
  

  display: flex;
  align-items: center;
  justify-content: center;

}

button {
  padding: 6px 8px;
  border: none;
  margin: 0 4px;
   font-size: 10px;
  font-family: 'Noto Sans JP', sans-serif;
  font-weight: 400;
  border-radius: 5px;
  color: #888;
  background-color: transparent;
 
  border: 1px solid white;
  text-transform: ;
}

button:hover {
  opacity: 0.9;
  cursor: pointer;
  color: #111;
  background-color: rgba(200, 200, 200, 0.2);
}

button a {
  text-decoration: none;
  color: white;
  cursor: pointer;

}

p.copyright {
  font-size: 10px;
  text-align: center;
  color: rgba(0, 0, 0, 0.1);
  padding: 0.5rem;
background-color: rgba(200, 200, 200, 0.1);}

/* Mobile adjustments */
@media (max-width: 768px) {
  header {
    height: 60px;
  }

  footer {
    height: 60px;
  }
  .hero img {
  width: 100%;
  height: auto;
  object-fit: cover; /* Fills area without distortion */
  display: block;
}

.extrablad {
  max-width: 200px;
}

h1 {  font-family: "Annie Use Your Telescope", sans-serif;
  font-weight: 400;
  font-style: normal;
font-size: 16px;color: black;
margin: 0;
padding: 0;
letter-spacing: 1px;

}

}

@media screen and (max-device-width: 767px) and (orientation: landscape) {
    

.hero img {
  max-width: 200px;
  height: auto;
  display: block;
  pointer-events: none;
}

 footer {
    height: 45px;
    margin-top: 3.5rem;
  }

  .copyright {display: none}

  h1 { 
  display: none;


}

button {
  padding: 2px 4px;}

  /* Main container */


header {
  height: 60px;

  padding-top: 0.8rem;

}



.hero {min-height: 70vh;}

.hero p {
  display: block;
  font-family: "Annie Use Your Telescope", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;color: black;
  top-margin:1rem;
  padding: 0;
  letter-spacing: 2px;
}

.hero a {
  display: block;
  margin: 1rem 0;

}

.hero button {
 
  padding: 2px 4px;
  margin: 0 4px;
  font-size: 12px;
}


html,
body {
  width: 100%;
  height: auto;
  overflow: scroll;

}




}